Name:           perl-MooseX-Types-DateTimeX
Version:        0.10
Release:        14%{?dist}
Summary:        Extensions to MooseX::Types::DateTime::ButMaintained
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Types-DateTimeX/
Source0:        http://www.cpan.org/authors/id/E/EC/ECARROLL/MooseX-Types-DateTimeX-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=73467
Patch0:         MooseX-Types-DateTimeX-0.10-fix_subtypes.patch
BuildArch:      noarch
BuildRequires:  perl(DateTimeX::Easy) >= 0.085
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Moose) >= 0.41
BuildRequires:  perl(MooseX::Types) >= 0.04
BuildRequires:  perl(MooseX::Types::DateTime::ButMaintained) >= 0.04
BuildRequires:  perl(namespace::clean) >= 0.08
BuildRequires:  perl(Time::Duration::Parse) >= 0.06
# Tests only:
# perl(DateTime::Format::DateManip) missing in META.yml
BuildRequires:  perl(DateTime::Format::DateManip)
BuildRequires:  perl(Test::Exception) >= 0.27
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::use::ok) >= 0.02
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(DateTimeX::Easy) >= 0.085
Requires:       perl(Moose) >= 0.41
Requires:       perl(MooseX::Types) >= 0.04
Requires:       perl(MooseX::Types::DateTime::ButMaintained) >= 0.04
Requires:       perl(namespace::clean) >= 0.08
Requires:       perl(Time::Duration::Parse) >= 0.06
Conflicts:      perl(MooseX::Types::DateTime) < 0.05

# RPM 4.8 style:
%filter_from_requires /^perl(DateTimeX::Easy)$/d
%filter_from_requires /^perl(MooseX::Types::DateTime::ButMaintained)$/d
%filter_from_requires /^perl(namespace::clean)$/d
%filter_from_requires /^perl(Time::Duration::Parse)$/d
%filter_setup
# RPM 4.9 style:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTimeX::Easy\\)$
%global __requires_exclude %__requires_exclude|^perl\\(MooseX::Types::DateTime::ButMaintained\\)$
%global __requires_exclude %__requires_exclude|^perl\\(namespace::clean\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Time::Duration::Parse\\)$

%description
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions and
constraints are inherited.

%prep
%setup -q -n MooseX-Types-DateTimeX-%{version}
%patch0 -p1

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-14
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.10-12
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.10-8
- Perl 5.16 rebuild

* Thu Jan 26 2012 Marcela Mašláňová <mmaslano@redhat.com> 0.10-7
- the correct definition of subtypes was changed in Moose 2.030
- clean specfile

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Petr Pisar <ppisar@redhat.com> - 0.10-5
- RPM 4.9 dependency filtering added

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.10-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.10-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Sep 23 2010 Petr Pisar <ppisar@redhat.com> - 0.10-1
- 0.10 bump
- Consolidate dependencies

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06-4
- Mass rebuild with perl-5.12.0

* Wed Feb 24 2010 Iain Arnell <iarnell@gmail.com> 0.06-3
- fix broken requires - perl(Moose), not perl(MooseX)

* Mon Feb 22 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.06-2
- add missing BR, conflict with older version od MooseX

* Fri Feb 19 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.06-1
- Specfile autogenerated by cpanspec 1.78.
